# Valheim Armory
Valheim Armory is a continuation of Valheim Additions. A small mod designed to fill gaps in the valheim ecosystem.

The goal of this mod is to create a more diverse but not sprawling selection of weapons to make all playstyles feel fully supported at each level.


This mod is balanced to be mostly lore friendly with a preference for fun and enjoyable scaling and mechanics.

This mod is highly configurable, you can use all of it, parts or tune it as you need.

## Translations
This mod will always have an up-to-date English localization, as that is what I can provide as its author.
However, I do welcome community translations!

If you would like to contribute a new translation, or improve an existing one please feel free to reach out to me or provide a translation file in the same format as one of the existing ones.
[Found here](https://github.com/MidnightsFX/Valheim_Armory/tree/master/ValheimArmory/localizations)


# Features

Below are all of the items added by this mod. The descriptions and information here are provided so you know what you are getting.

Here is a sample gallery of weapons added by this mod.

![Sample Gallery of added content](https://i.imgur.com/bl5tTcl.png)

Below is more information on all of the items added, what tier they are in, where they are crafted and at what progression point. All of the sections below are expandable to view the details.

<details>
  <summary>Boss Weapons</summary>
  
  ## Eikthyrs

    These weapons are split into two groups, one requiring the workbench and the other the forge. Meaning that some of these weapons will require metals from the black forest.

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Antler Bow | Forge | Post-Meadows | ![Antler Bow Icon](https://i.imgur.com/YYavFT6.png) |
  | Antler Dagger | Workbench | Post-Meadows | ![Antler Dagger Icon](https://i.imgur.com/TImtKNo.png) |
  | Antler Sword | Forge | Post-Meadows | ![Antler Sword Icon](https://i.imgur.com/uw1ZNgz.png) |
  | Antler Atgeir | Workbench | Post-Meadows | ![Antler Atgier Icon](https://i.imgur.com/URdXvZc.png) |
  | Antler Greataxe | Forge | Post-Meadows | ![Antler Greataxe Icon](https://i.imgur.com/jIAHbCD.png) |

  ## Elder
  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Elders Rock | Forge | Post-Blackforest | ![Elder Sledgehammer icon](https://i.imgur.com/IvJzuX3.png) |
  | Elders Bulwark | Forge | Post-Blackforest | ![Elders roundshield icon](https://i.imgur.com/MaZMD4l.png) |
  | Elders Vinethrower | Forge | Post-Blackforest | ![Antler Greataxe Icon](https://i.imgur.com/fDaATMs.png) |

  ## Bonemass
  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bonemasses Rage | Forge | Post-Swamp | ![Bonemass Warhammer icon](https://i.imgur.com/sg9yGYu.png) |
  | Bonemasses Legacy  | Forge | Post-Swamp | ![bonemass greatsword icon](https://i.imgur.com/OWfG9nK.png) |
  | Bonemasses Ritual | Forge | Post-Swamp | ![Bonemasses dagger icon](https://i.imgur.com/o9qxcEG.png) |

  ## Moder
  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Moders Bite | Forge | Post-Mountain | ![Ice sword Icon](https://i.imgur.com/iXVICFY.png) |
  | Moders Reach | Forge | Post-Mountain | ![Ice Spear Icon](https://i.imgur.com/X4CuFZs.png) |
  | Moders Dream | Forge | Post-Mountain | ![Mechanical Crossbow Icon](https://i.imgur.com/KMNzFgZ.png) |

  ### Yagluth
  Coming soon! Vote for boss weapons to get these sooner.

</details>

<details>
  <summary>Arrows</summary>

  Arrows Added here fill out a number of additional roles, and importantly add new resource sinks.

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bone arrow | Workbench | Meadows | ![bone arrow icon](https://imgur.com/KUYj0Zp.png) |
  | Chitin arrow | Workbench | Ocean | ![chitin arrow icon](https://imgur.com/LKNQnEt.png) |
  | Ancient Wood arrow | Workbench | Swamp | ![ancient wood arrow icon](https://imgur.com/d28tCPw.png) |
  | Surtling Fire arrow | Forge | Mountain | ![surtling fire arrow icon](https://i.imgur.com/K5Erlwt.png) |
  | Blackmetal arrow | Forge | Plains | ![blackmetal arrow icon](https://imgur.com/yiJKz6s.png) | 
  | Wood Bolt | Artisan | Blackforest | ![wood crossbow bolt](https://imgur.com/UTbO8aG.png) |
  | Bronze Bolt | Artisan | Blackforest | ![bronze bolt](https://i.imgur.com/cUJTlB3.png) |
  | Iron Poison Bolt | Artisan | Swamp | ![iron poison bolt](https://i.imgur.com/mVLDfm8.png) |
  | Silver Frost Bolt | Artisan | Mountain | ![Silver Frost bolt](https://i.imgur.com/0FGHrBB.png) |
  | Blackmetal Surtling Bolt | Artisan | Plains | ![blackmetal surtling bolt](https://i.imgur.com/iZ5fOrF.png) |

</details>

<details>
  <summary>Atgeirs</summary>

  Added Atgiers help fill in missing tiers.

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Royal Abyssal Atgeir | Forge | Mountain | ![royal abyssal atgeir icon](https://i.imgur.com/FCO85Nq.png) |
  | Silver Atgeir | Forge | Mountain | ![silver atgeir icon](https://i.imgur.com/WLB6PWp.png) |
</details>


<details>
  <summary>Axes</summary>

  ### Greataxes (2H Axes)
  Battleaxes are a fun but very challenging playstyle in valheim. They are slow so you generally need to kill your opponets before they can kill you, which happens fast.

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Lumber Axe | Forge | Blackforest | ![bronze greataxe icon](https://i.imgur.com/1an32hc.png) |
  | Blackmetal Greataxe | Forge | Mistlands | ![blackmetal greataxe icon](https://i.imgur.com/2H94zhh.png) |
</details>

<details>
  <summary>Knives</summary>
  
  ### Added Daggers

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Dagger | Forge | Blackforest | ![bronze dagger icon](https://i.imgur.com/AyWevGx.png) |
  | Iron Dagger | Forge | Swamp | ![iron dagger icon](https://i.imgur.com/9MBSw5X.png) |
  | Silver Dagger | Forge | Mountain | ![silver dagger icon](https://i.imgur.com/SL2G0Vn.png) |

  ---

  ### Added 2H Daggers

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Rascal Daggers | Forge | Blackforest | ![rascal daggers icon](https://i.imgur.com/88MEras.png) |
  | Rogue Daggers | Forge | Swamp | ![rogue daggers icon](https://i.imgur.com/1kyTYjP.png) |
  | Blackguard Runic Daggers | Forge | Mountain | ![blackguard runic daggers icon](https://i.imgur.com/8HwWqah.png) |

  * Note: 2H Daggers will float infront of item wall mounts due to their separated attachment style. They display normally on an item stand.

  The addition of 2H daggers at lower tiers also provides you a way to focus on that playstyle all of the way up till the current end of the game.

</details>

<details>
  <summary>Bows</summary>
  
  ### Added Crossbows

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Crossbow | Forge | Blackforest | ![bronze crossbow icon](https://i.imgur.com/GkWbooT.png) |
  | Bronze Arbalist | Forge | Plains | ![bronze arbalist icon](https://i.imgur.com/iuk67H0.png) |

</details>

<details>
  <summary>Hammers</summary>
  
  ### Added Sledges

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Blackmetal Sledge | Forge | Plains | ![blackmetal sledge icon](https://i.imgur.com/GiQJaWe.png) |

</details>

<details>
  <summary>Shields</summary>
  
  ### Added Shields

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Serpent Scale Buckler | Forge | Swamp | ![serpent scale buckler icon](https://i.imgur.com/jtB6efS.png) |

</details>

<details>
  <summary>Swords</summary>
  
  ### Added Greatswords

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Bronze Greatsword | Forge | Blackforest | ![bronze greatsword icon](https://i.imgur.com/cjSbYI5.png) |
  | Iron Greatsword | Forge | Swamp | ![iron greatsword icon](https://i.imgur.com/UmjdC0K.png) |
  | Silver Greatsword | Forge | Mountain | ![silver greatsword icon](https://i.imgur.com/qBOtNRn.png) |


  ---
  
  ### Added Swords

  | Name | Crafted At | Stage | Icon |
  | ----------- | ----------- | ----------- | ----------- |
  | Chitin Sword | Forge | Blackforest | ![chitin sword icon](https://i.imgur.com/HtNvGaA.png) |

  * Chitin Sword (Abyssal Sword) is an early game sword sitting between bronze and iron but with the unique difference of inflicting some blunt damage, making it less useless against all of the enemies in the swamp
</details>

---

## Configuration

Everything is optionally configurable through the ingame mod configuration UI provided by BepinEx.
  * [Thunderstore link](https://valheim.thunderstore.io/package/TJzilla/BepInEx_ConfigurationManager/)
  * [Nexus Link](https://www.nexusmods.com/valheim/mods/740)

Otherwise a configuration file located at `/BepInEx/config/com.midnightsfx.ValheimArmory.cfg` contains all of the configuration.

Please note that basically ALL of the configuration is server sided. Which means that **it requires a restart of your game to take effect**. This allows me to ensure that the server and the client are always in sync with the details of everything- like how much damage you did to that greydwarf.

Current configuration options:
* Damage
* Damage per level
* Recipe
* Stamina cost
* Block amount
* block per level
* Crafted amount (where applicable)

---

## FAQ

Q. The bronze crossbow costs dragon tears?
- A. Delete the config for the bronze crossbow (or your whole config file).


Q. Why does x weapon look bad?
- A.
	- This is my first Unity, and Valhiem mod
	- My original goal with modding was to just make a singular new arrow
	- I'm not a gamedev, I suck at textures, modeling and don't know the unity loaders
	- I'm learning as I go, and welcome feedback
---

## Currently in-progress
<details>
  <summary>Potential Spoilers!</summary>

  * Game engine update, script updates

  Boss Weapon Release roadmap
  * Bonemass Weapons (first set of 3)
  * Yagluth Weapons (first set of 3)

  The Boss weapon roadmap will take a number of updates. Feel free to submit ideas to the github.


  If there is something you'd like me to work on vote for it [here](https://poll-maker.com/poll4772706xc1794073-148)!
</details>

---

## Future Plans
<details>
  <summary>Potential Spoilers!</summary>

  * Filling out the line of fists (maybe wood), Bronze, Iron, Blackmetal
  * Chitin Shield
  * Named Mace (blackmetal mace)
  * Silver sledge
  * 2H Warhammers (Maces but bigger)
  * Better VFX for weapons
  * New spear alternatives

  If there is something you'd like me to work on vote for it [here](https://poll-maker.com/poll4772706xc1794073-148)!
</details>

---

## Installation (Automatic)
Just download with your favorite modmanager!

## Installation (manual)
Toss the ValheimArmory folder and files into your plugins folder. Technically the only thing required is the ValheimArmory.ddl, configs will generate on first run.

## Changelog
**1.4.0**
```
- Added initial bonemass boss weapons!
- First 2H warhammer added, likely slightly overpowered. This weapon acts like a 2H axe or sword, but does blunt damage.
- Added silver Atgeir, this is a direct upgrade between Iron & Blackmetal
- Updates to how localizations are added, better support for multiple languages
- Added Russian translation
```

**1.3.4**
```
- Fixed Moders crossbow not being configurable and using the wrong defaults
```

**1.3.3**
```
- Fixed wood bolt triggering the invalid recipe warning
- Fixed a particle mock for arrow feathers not resolving on some versions of valheim
- Rebalance of most boss weapons, and a few outlier non-boss weapons. Recipes are slightly more expensive overall and damage is generall down across the board.
	This primarily brings boss weapons in line with the next tier weapon minus a small bit. The balance change is just to the default config values.
	If you want to keep your weapons more powerful continue using your existing config, defaults will only be applied if you do not have a value set (new or deleted config).
```

**1.3.2**
```
- Updated German localization
```

**1.3.1**
```
- Fixed the antler greataxe being held the wrong way
```

**1.3.0**
```
- 3 new weapons based on the Elder
- 3 new weapons based on the Moder
- new crossbow and a handful of new bolts!
- bugfix for the antler dagger not being impacted by gravity
- fixed the default recipe for 1h bronze dagger

```

**1.2.1**
```
- Finished current german localization
- Updated the surtling core arrow icon

```

**1.2.0**
```
- Added Eikthyr Bow, Dagger, Sword & Greataxe
- Remeshed the Antler Atgeir
- Balance for the Eikthyr weapons is tilted towards overpowered.

```

**1.1.0**
```
- Added Daggers
- Added 2H Daggers

- Significant updates to the configuration code, more things are now configurable!
	- Stamina cost for primary and secondary attacks
	- Crafting costs
	- Where things are crafted at
```

**1.0.1**
```
- Fixed Iron level sword recipe, should now actually require Iron.
```

**1.0.0**
```
- Release! I'm sure its got bugs somewhere
```

## Issues
Please report any issues you encounter on the [github issue tracker](https://github.com/MidnightsFX/Valheim_Armory/issues)

## Credits
* German translations provided by SACK3000
* Some texture resources generated from [withpoly](https://withpoly.com/browse/textures)
* [Sword Model](https://assetstore.unity.com/packages/3d/props/weapons/free-low-poly-swords-rpg-weapons-198166)
* Hugo for his advice and help getting skinned meshes running
* Jotun community for answering some silly questions :)
* The Valheim team at Irongate which makes all of this possible!
